Loading...
Searching...
No Matches
parsing.c File Reference
`#include "parsing.h"`
`#include "const.h"`
`#include "exec.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
Include dependency graph for parsing.c:

## Functions

char * | read_line ()
| Attend que l'utilisateur appuie sur entrée pour récupérer la ligne écrite puis la renvoi.
char ** | split_line (char *line)
| Sépare une ligne par des espaces (pour la ligne "ls -l" ça va renvoyer {"ls", "-l"})
void | shell_loop (void)
| La boucle du shell, elle consiste en trois étapes :

## Function Documentation

## read_line()

char * read_line | ( |  | ) |

Attend que l'utilisateur appuie sur entrée pour récupérer la ligne écrite puis la renvoi.

Returns
  La ligne écrite par l'utilisateur

## shell_loop()

void shell_loop | ( | void |  | ) |

La boucle du shell, elle consiste en trois étapes :

- Quand l'utilisateur appui sur entrer pour récupérer son entrée standard
- Parser la ligne en fonction de ses espaces
- Exécuter la commande demandée
  See also
    char* read_line()
    char** split_line(char *line)
    int execute_cmd(char **args)

## split_line()

char ** split_line | ( | char * | line | ) |

Sépare une ligne par des espaces (pour la ligne "ls -l" ça va renvoyer {"ls", "-l"})

Parameters

  char | *line la ligne à parser

Returns
  la liste des arguments de la commande